## ros-one-jsk-rqt-plugins 2.1.10-5jammy.20251023.1141

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_rqt_plugins)

find_package(catkin REQUIRED
  message_generation
)

catkin_python_setup()
catkin_package()

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
file(GLOB PYTHON_SCRIPTS bin/*)
catkin_install_python(
  PROGRAMS ${PYTHON_SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch resource sample sample_scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)
file(GLOB PYTHON_SAMPLES sample_scripts/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_SAMPLES}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/sample_scripts
)

install(DIRECTORY test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN "*.launch"
)
file(GLOB PYTHON_TEST test/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_TEST}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test
)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  if(NOT "$ENV{ROS_DISTRO}" STREQUAL "indigo")
    catkin_add_nosetests(test)
    add_rostest(test/test_rqt_plugins.test)
  endif()
endif()

=== debian/changelog ===
ros-one-jsk-rqt-plugins (2.1.10-5jammy.20251023.1141) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 11:41:13 +0000

ros-one-jsk-rqt-plugins (2.1.10-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.9-0jammy) jammy; urgency=high

  * add more visualization options for BoundingBox and BoundingBoxArray (#844 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/844>)
  * [ROS-O] patches (#891 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/891>)
    
      * drop ROS_DISTRO STRGREATER tests
        As the Debian packages use "Debian"
        https://salsa.debian.org/science-team/ros-ros-environment/-/blame/master/debian/rules?ref_type=heads#L6
        which is incompatible, does not trigger them
        c++14 is the default from melodic onward, so the additional statements
        there are not necessary
    
  * face_detector is released, so remove .travis.rosinstall.noetic . add test to check with latest pyyaml from pip (#884 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/884>)
    
      * [jsk_rqt_plugins] Fix yaml load in tabbed_button_general.py
    
  * update perspective for noetic (#873 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/873>)
  * drop obsolete (and broken urlgrabber dependency) (#867 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/867>)
  * add test to check (ServiceButtonGeneralWidget_in_tab (#880 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/880>)
    
      * Fix super function argument in tabbed_button_general
      * add test to check https://github.com/jsk-ros-pkg/jsk_visualization/pull/879
    
  * use QFileDialog for file select (#876 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/876>)
  * fix plugin category (#877 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/877>)
  * return int in mouse event (#874 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/874>)
  * Contributors: Naoaki Kanazawa, Kei Okada, Shingo Kitagawa, Yoshiki Obinata, v4hn

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.8-0jammy) jammy; urgency=high

  * [jsk_interactive_markers][jsk_rqt_plugins] fix yaml load (#818 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/818>)
  * fix with '2to3 -w -f zip .' (#817 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/817>)
    
      * In python3, sys.maxint changed to sys.maxsize
      * fix "TypeError: 'dict_keys' object is not subscriptable" error
        we can fix this by '2to3 -w -f dict', but it will change too many lines, so we do not use this for now....
      * fix with '2to3 -w -f import .'
      * fix cStringIO.StringIO -> io.BytesIO, see https://stackoverflow.com/questions/11914472/stringio-in-python3 / https://stackoverflow.com/questions/50797043/string-argument-expected-got-bytes-in-buffer-write
      * [jsk_rqt_plugins][jsk_rviz_plugins] Fix has_key
    
  * add tabbed_buttuns to rqt_plugin (#813 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/813>)
  * update .travis to 0.5.21 (#814 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/814>)
  * Updating the URLs of the jsk_rviz_plugins and jsk_rqt_plugins so the generated README points to working links (closes #805 ). (#806 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/806>)
  * Support single button setup in ServiceButtons plugin (#798 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/798>)
    
      * *column_indices expects to be an array of integers and the length
    should be equal or longer than 2.
    * If column_indices is just an array of a single integer (length is
    1), do not apply sum with expanding a list argument.
  * fix for using button_general.py without perspective file (#796 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/796>)
  * [jsk_rqt_plugins/button_general.py] reset button if SetBool fail (#794 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/794>)
  * sample_service_button.py support SetBool (#792 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/792>)
  * add sample_service_radio_buttons script (#789 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/789>)
  * add sample_service_buttons scriptf (#790 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/790>)
  * add sample_service_buttons.launch (#791 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/791>)
  * Contributors: Adi Vardi, Kei Okada, Naoki Hiraoka, Ryohei Ueda, Sam Pfeiffer, Shingo Kitagawa, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 11 Jan 2022 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.7-0jammy) jammy; urgency=high

  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f except
      * support noetic, conver to package format 3
    
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.6-0jammy) jammy; urgency=high

  * fix test failure in jsk_rqt_plugins (#766 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/766>)
    
      * disable jsk_rqt_plugins test in indigo
        this is because indigo does not support matplotlib
        liner_model.RANSACRegressor.
    
  * [jsk_rqt_plugins] load rosparam correctly in button_general.py (#746 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/746>)
  * Replace image_pipeline with image_publisher (#729 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/729>)
    
      * Replace image_pipeline with image_publisher
        * image_pipeline is a meta package and normal ros packages are not
        intended to depend on meta packages.
    
  * Contributors: Ryohei Ueda, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2020 00:00:00 -0000



=== debian/control ===
Source: ros-one-jsk-rqt-plugins
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-image-view2, ros-one-message-generation, ros-one-mk, ros-one-rosbuild
Homepage: https://jsk-visualization.readthedocs.io/en/latest/jsk_rqt_plugins/index.html
Standards-Version: 3.9.2

Package: ros-one-jsk-rqt-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-sklearn, ros-one-cv-bridge, ros-one-image-publisher (>= 1.12.23), ros-one-image-view2, ros-one-jsk-gui-msgs (>= 4.3.0), ros-one-message-runtime, ros-one-qt-gui-py-common, ros-one-resource-retriever, ros-one-rqt-gui, ros-one-rqt-gui-py, ros-one-rqt-image-view, ros-one-rqt-plot
Description: The jsk_rqt_plugins package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-rqt-plugins//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-rqt-plugins 2.1.10-5jammy.20251208.0005

=== debian/changelog ===
ros-one-jsk-rqt-plugins (2.1.10-5jammy.20251208.0005) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 00:05:25 +0000

## ros-one-jsk-rqt-plugins 2.1.10-5jammy.20260106.2126

=== debian/changelog ===
ros-one-jsk-rqt-plugins (2.1.10-5jammy.20260106.2126) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:26:00 +0000

## ros-one-jsk-rqt-plugins 2.1.10-5jammy.20260221.2300

=== debian/changelog ===
ros-one-jsk-rqt-plugins (2.1.10-5jammy.20260221.2300) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 23:00:16 +0000

## ros-one-jsk-rqt-plugins 2.1.10-5noble.20251208.1056

=== debian/changelog ===
ros-one-jsk-rqt-plugins (2.1.10-5noble.20251208.1056) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 10:56:45 +0000

ros-one-jsk-rqt-plugins (2.1.10-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.9-0noble) noble; urgency=high

  * add more visualization options for BoundingBox and BoundingBoxArray (#844 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/844>)
  * [ROS-O] patches (#891 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/891>)
    
      * drop ROS_DISTRO STRGREATER tests
        As the Debian packages use "Debian"
        https://salsa.debian.org/science-team/ros-ros-environment/-/blame/master/debian/rules?ref_type=heads#L6
        which is incompatible, does not trigger them
        c++14 is the default from melodic onward, so the additional statements
        there are not necessary
    
  * face_detector is released, so remove .travis.rosinstall.noetic . add test to check with latest pyyaml from pip (#884 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/884>)
    
      * [jsk_rqt_plugins] Fix yaml load in tabbed_button_general.py
    
  * update perspective for noetic (#873 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/873>)
  * drop obsolete (and broken urlgrabber dependency) (#867 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/867>)
  * add test to check (ServiceButtonGeneralWidget_in_tab (#880 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/880>)
    
      * Fix super function argument in tabbed_button_general
      * add test to check https://github.com/jsk-ros-pkg/jsk_visualization/pull/879
    
  * use QFileDialog for file select (#876 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/876>)
  * fix plugin category (#877 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/877>)
  * return int in mouse event (#874 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/874>)
  * Contributors: Naoaki Kanazawa, Kei Okada, Shingo Kitagawa, Yoshiki Obinata, v4hn

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.8-0noble) noble; urgency=high

  * [jsk_interactive_markers][jsk_rqt_plugins] fix yaml load (#818 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/818>)
  * fix with '2to3 -w -f zip .' (#817 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/817>)
    
      * In python3, sys.maxint changed to sys.maxsize
      * fix "TypeError: 'dict_keys' object is not subscriptable" error
        we can fix this by '2to3 -w -f dict', but it will change too many lines, so we do not use this for now....
      * fix with '2to3 -w -f import .'
      * fix cStringIO.StringIO -> io.BytesIO, see https://stackoverflow.com/questions/11914472/stringio-in-python3 / https://stackoverflow.com/questions/50797043/string-argument-expected-got-bytes-in-buffer-write
      * [jsk_rqt_plugins][jsk_rviz_plugins] Fix has_key
    
  * add tabbed_buttuns to rqt_plugin (#813 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/813>)
  * update .travis to 0.5.21 (#814 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/814>)
  * Updating the URLs of the jsk_rviz_plugins and jsk_rqt_plugins so the generated README points to working links (closes #805 ). (#806 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/806>)
  * Support single button setup in ServiceButtons plugin (#798 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/798>)
    
      * *column_indices expects to be an array of integers and the length
    should be equal or longer than 2.
    * If column_indices is just an array of a single integer (length is
    1), do not apply sum with expanding a list argument.
  * fix for using button_general.py without perspective file (#796 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/796>)
  * [jsk_rqt_plugins/button_general.py] reset button if SetBool fail (#794 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/794>)
  * sample_service_button.py support SetBool (#792 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/792>)
  * add sample_service_radio_buttons script (#789 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/789>)
  * add sample_service_buttons scriptf (#790 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/790>)
  * add sample_service_buttons.launch (#791 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/791>)
  * Contributors: Adi Vardi, Kei Okada, Naoki Hiraoka, Ryohei Ueda, Sam Pfeiffer, Shingo Kitagawa, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 11 Jan 2022 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.7-0noble) noble; urgency=high

  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f except
      * support noetic, conver to package format 3
    
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.6-0noble) noble; urgency=high

  * fix test failure in jsk_rqt_plugins (#766 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/766>)
    
      * disable jsk_rqt_plugins test in indigo
        this is because indigo does not support matplotlib
        liner_model.RANSACRegressor.
    
  * [jsk_rqt_plugins] load rosparam correctly in button_general.py (#746 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/746>)
  * Replace image_pipeline with image_publisher (#729 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/729>)
    
      * Replace image_pipeline with image_publisher
        * image_pipeline is a meta package and normal ros packages are not
        intended to depend on meta packages.
    
  * Contributors: Ryohei Ueda, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2020 00:00:00 -0000



## ros-one-jsk-rqt-plugins 2.1.10-5noble.20260106.2133

=== debian/changelog ===
ros-one-jsk-rqt-plugins (2.1.10-5noble.20260106.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:33:57 +0000

## ros-one-jsk-rqt-plugins 2.1.10-5noble.20260222.0004

=== debian/changelog ===
ros-one-jsk-rqt-plugins (2.1.10-5noble.20260222.0004) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:04:34 +0000
